
Redmine - Feature #5991

Tracker should have it's own default issue status

2010-07-29 15:39 - Lubor Nosek

Status: Closed Start date: 2010-07-29

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version: 3.0.0   

Resolution: Fixed   

Description

Currently you're not able to set different default issue statuses to different trackers.

Related issues:

Related to Redmine - Feature #5816: New issue initial status should be settab... Closed 2010-07-05

Related to Redmine - Feature #973: Assign different status sets and workflows... New 2008-04-02

Related to Redmine - Patch #18898: Back migration for 20141029181824_remove_i... Closed

Has duplicate Redmine - Feature #6832: FR Define different default status per... Closed 2010-11-04

Has duplicate Redmine - Feature #13797: per tracker configurable default stat... Closed

Associated revisions

Revision 13535 - 2014-11-02 20:45 - Jean-Philippe Lang

Default status per tracker (#5991).

Revision 13536 - 2014-11-02 20:46 - Jean-Philippe Lang

Adds :field_default_status to locales (#5991).

Revision 13570 - 2014-11-08 05:46 - Toshi MARUYAMA

remove duplicated IssuesControllerTest#test_new_should_select_default_status (#5991, #18305)

History

#1 - 2011-05-05 03:48 - James Robertson

+1 We love the ability to assign a different default issue status per tracker type.

#2 - 2011-05-05 03:48 - James Robertson

James Robertson wrote:

+1 We would love the ability to assign a different default issue status per tracker type.

#3 - 2011-05-05 19:03 - Nicholas Kulikov

+1 :)

#4 - 2012-01-13 12:00 - Steve Davis

+1

#5 - 2012-03-16 23:21 - Oliver Loy

+1

#6 - 2012-03-17 18:21 - Terence Mill

Each tracker shall be able to have its onw start and stop status

#7 - 2012-10-16 19:35 - K. Scott Tripp

+1
#8 - 2013-02-15 14:17 - Roman Lukmanov

+1

#9 - 2013-04-14 03:48 - Filou Centrinov

Category: Issues Workflow

#10 - 2013-04-14 07:58 - Toshi MARUYAMA

- Category set to Issues workflow

#11 - 2013-04-14 11:47 - Dipan Mehta

+1. Useful.

#12 - 2013-06-26 17:00 - Eric Ashman

+1 - would help a lot for differentiating new bugs vs requested issues

#13 - 2013-08-14 20:12 - Justin Leishman

Terence Mill wrote:

Each tracker shall be able to have its onw start and stop status

 Why does each tracker need a "stop" status? Doesn't having a status "close" an issue provide the same basic idea, or do you have a situation where

a single issue status is "open" for one tracker but "closed" for another tracker?

#14 - 2013-08-14 23:52 - Terence Mill

You bot it, thats one reason and beyond that THW status 'closed' is fundamental different to 'refused', although both are stop status ones. That

example shows also that mor than one Ende Statue can be useful.

#15 - 2013-08-16 06:01 - Jethro Yu

+1 !

#16 - 2013-09-16 14:42 - benoit deleris

+1

#17 - 2013-09-18 11:22 - druidPollux -

+1

#18 - 2013-11-26 09:52 - Benjamin Wassermann

+1

#19 - 2014-02-11 23:52 - Domingo Galdos

+1

We could really use this, along with #973 (either would help a lot of course) to allow different projects to have different workflows without driving the

administrator crazy.

Ideally someday workflows could be set up by project owners without the central Redmine administrators having to be involved.

#20 - 2014-03-06 05:28 - Toshi MARUYAMA

- Related to Feature #973: Assign different status sets and workflows for separate projects added

#21 - 2014-06-03 19:50 - Jeff Pierson

We ran into this problem just today after some status were added to our newly converted system in order to support some other projects with mutually

exclusive sets of statuses related workflows. Somewhere in the process a status called New was entered and marked as default which caused all

defects to to get entered with this status by default instead of the desired Unconfirmed status. To remedy this, the New status was make as longer the

default status but without assigning another default status which then prevented us from entered any bugs due to an error when clicking on the New

Issue menu item. In the end I employed a hack which was to set New status to the default status but set up workflow permissions for our defect

tracker so that Subject is readonly for the New status which prevents any newly created issues from being entered with a New status.

I'm assuming a common workaround is to force all projects to have a reasonable common start status regardless of other statuses until issues like

this are addressed. If there are any relevant wiki pages on the topic in terms of recommendations it would be useful in order to determine whether we

are better off changing our process or pushing Redmine to adapt to the flexibility that we are trying to get out of it.
#22 - 2014-11-02 20:47 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.0.0

- Resolution set to Fixed

Feature added in r13535, default status is now defined for each tracker.

#23 - 2015-01-19 22:01 - Jean-Philippe Lang

- Related to Patch #18898: Back migration for 20141029181824_remove_issue_statuses_is_default doesn't work added

#24 - 2015-04-05 05:36 - Go MAEDA

- Has duplicate Feature #13797: per tracker configurable default status  and better usability for ui added
